#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Modules providing phone functionality for Plasma
Name:           plasma-mobile
Version: 6.3.2
Release:        %mkrel %rel
License:        GPLv2+ LGPLv2+
Group:          Graphical desktop/KDE
URL:            https://plasma-mobile.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Sensors)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6WaylandClient)

# KDE Frameworks
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6GlobalAccel)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6ItemModels)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6ModemManagerQt)
BuildRequires:  cmake(KF6NetworkManagerQt)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6Package)
BuildRequires:  cmake(KF6JobWidgets)

BuildRequires:  cmake(Plasma)
BuildRequires:  cmake(PlasmaQuick)
BuildRequires:  cmake(PlasmaActivities)
BuildRequires:  cmake(KF6Screen)
BuildRequires:  cmake(KWayland)
BuildRequires:  cmake(QCoro6)
BuildRequires:  cmake(KF6KirigamiAddons)

BuildRequires:  cmake(KWin)
BuildRequires:  cmake(LayerShellQt)
BuildRequires:  cmake(LibKWorkspace)
BuildRequires:  cmake(KWinDBusInterface)

BuildRequires:  pkgconfig(epoxy)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(xcb)

# runtime dependencies
BuildRequires:  kirigami
Requires:       kirigami
BuildRequires:  kpipewire
Requires:       kpipewire

Recommends:     kirigami-addons

Obsoletes:      plasma-phone-components < 5.24.4
Provides:       plasma-phone-components = %version-%release	

%description
UI components for Plasma Phone.

%files -f plasma_applet_org.kde.phone.homescreen.lang
%doc README.md
%_kf6_bindir/startplasmamobile
%_kf6_bindir/plasma-mobile-envmanager
%_kf6_bindir/plasma-mobile-initial-start
%_kf6_qmldir/org/kde/plasma/mobileinitialstart/
%_kf6_qmldir/org/kde/plasma/quicksetting
%_kf6_qmldir/org/kde/private/mobile/
%_kf6_qmldir/org/kde/plasma/private/mobileshell/
%_kf6_qmldir/org/kde/plasma/mm/
%_kf6_plugindir/kded/kded_plasma_mobile_autodetect_apn.so
%_kf6_plugindir/kded/kded_plasma_mobile_start.so
%_qt6_plugindir/kwin/effects/plugins/mobiletaskswitcher.so
%_qt6_plugindir/plasma/applets/*.so
%_qt6_plugindir/plasma/kcms/systemsettings/*.so
%_kf6_applicationsdir/kcm_mobileshell.desktop
%_kf6_applicationsdir/kcm_cellular_network.desktop
%_kf6_applicationsdir/kcm_mobile_hotspot.desktop
%_kf6_applicationsdir/kcm_mobile_info.desktop
%_kf6_applicationsdir/kcm_mobile_onscreenkeyboard.desktop
%_kf6_applicationsdir/kcm_mobile_power.desktop
%_kf6_applicationsdir/kcm_mobile_time.desktop
%_kf6_applicationsdir/kcm_mobile_wifi.desktop
%_kf6_metainfodir/*.appdata.xml
%_kf6_datadir/kwin/effects/mobiletaskswitcher/
%_kf6_datadir/kwin/scripts/convergentwindows/
%_kf6_datadir/plasma/look-and-feel/org.kde.breeze.mobile/
%_kf6_datadir/plasma/mobileinitialstart/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.mobile.homescreen.folio/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.mobile.homescreen.halcyon/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.mobile.panel/
%_kf6_datadir/plasma/plasmoids/org.kde.plasma.mobile.taskpanel/
%_kf6_datadir/wayland-sessions/plasma-mobile.desktop
%_kf6_knotificationsdir/plasma_mobile_quicksetting*.notifyrc
%dir %_kf6_datadir/plasma/quicksettings
%_kf6_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.hotspot/
%_kf6_datadir/plasma/quicksettings/org.kde.plasma.quicksettings.docked/
%_kf6_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.airplanemode/
%_kf6_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.audio/
%_kf6_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.battery/
%_kf6_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.bluetooth/
%_kf6_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.caffeine/
%_kf6_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.donotdisturb/
%_kf6_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.flashlight/
%_kf6_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.keyboardtoggle/
%_kf6_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.mobiledata/
%_kf6_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.nightcolor/
%_kf6_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.powermenu/
%_kf6_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.record/
%_kf6_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.screenrotation/
%_kf6_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.screenshot/
%_kf6_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.settingsapp/
%_kf6_datadir/plasma/quicksettings/org.kde.plasma.quicksetting.wifi/
%_kf6_datadir/plasma/layout-templates/org.kde.plasma.mobile.defaultNavigationPanel/
%_kf6_datadir/plasma/layout-templates/org.kde.plasma.mobile.defaultStatusBar/
%_kf6_datadir/plasma/shells/org.kde.plasma.mobileshell/
%_kf6_datadir/dbus-1/interfaces/org.kde.plasmashell.Mobile.xml
%_kf6_datadir/plasma-mobile-apn-info/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang plasma_applet_org.kde.phone.homescreen --all-name


%changelog
* Tue Feb 25 2025 daviddavid <daviddavid> 6.3.2-1.mga10
+ Revision: 2152480
- New version 6.3.2

* Tue Feb 18 2025 daviddavid <daviddavid> 6.3.1-1.mga10
+ Revision: 2149408
- New version 6.3.1

* Tue Feb 11 2025 daviddavid <daviddavid> 6.3.0-1.mga10
+ Revision: 2146936
- New version 6.3.0

* Thu Jan 23 2025 daviddavid <daviddavid> 6.2.91-1.mga10
+ Revision: 2140834
- New version 6.2.91

* Sat Jan 11 2025 daviddavid <daviddavid> 6.2.90-1.mga10
+ Revision: 2137977
- New version 6.2.90

* Wed Jan 01 2025 daviddavid <daviddavid> 6.2.5-1.mga10
+ Revision: 2134192
- New version 6.2.5

* Wed Nov 27 2024 daviddavid <daviddavid> 6.2.4-1.mga10
+ Revision: 2119318
- New version 6.2.4

* Sat Nov 09 2024 daviddavid <daviddavid> 6.2.3-1.mga10
+ Revision: 2113176
- New version 6.2.3

* Tue Oct 22 2024 daviddavid <daviddavid> 6.2.2-1.mga10
+ Revision: 2110057
- New version 6.2.2

* Wed Oct 16 2024 daviddavid <daviddavid> 6.2.1-1.mga10
+ Revision: 2107232
- New version 6.2.1

* Wed Oct 09 2024 daviddavid <daviddavid> 6.2.0-1.mga10
+ Revision: 2104463
- New version 6.2.0

* Mon Sep 16 2024 neoclust <neoclust> 6.1.90-1.mga10
+ Revision: 2097242
- New version 6.1.90

* Wed Aug 07 2024 daviddavid <daviddavid> 6.1.4-1.mga10
+ Revision: 2083925
- New version 6.1.4

* Tue Jul 02 2024 daviddavid <daviddavid> 6.1.2-1.mga10
+ Revision: 2079132
- New version 6.1.2

* Tue Jun 25 2024 daviddavid <daviddavid> 6.1.1-1.mga10
+ Revision: 2076731
- New version 6.1.1

* Tue Jun 18 2024 neoclust <neoclust> 6.1.0-1.mga10
+ Revision: 2074841
- New version 6.1.0

* Sat Jun 08 2024 neoclust <neoclust> 6.0.90-1.mga10
+ Revision: 2071155
- New version 6.0.90

* Tue Apr 16 2024 daviddavid <daviddavid> 6.0.4-1.mga10
+ Revision: 2057932
- New version 6.0.4

* Wed Mar 27 2024 daviddavid <daviddavid> 6.0.3-1.mga10
+ Revision: 2052503
- New version 6.0.3

* Tue Mar 12 2024 daviddavid <daviddavid> 6.0.2-1.mga10
+ Revision: 2049412
- New version 6.0.2

* Thu Mar 07 2024 daviddavid <daviddavid> 6.0.1-1.mga10
+ Revision: 2048161
- New version 6.0.1

* Wed Feb 28 2024 neoclust <neoclust> 6.0.0-1.mga10
+ Revision: 2045019
- New version 6.0.0

* Fri Feb 02 2024 neoclust <neoclust> 5.93.0-1.mga10
+ Revision: 2036808
- New version 5.93.0

* Wed Jan 10 2024 neoclust <neoclust> 5.92.0-1.mga10
+ Revision: 2029669
- New version 5.92.0

* Wed Jan 03 2024 neoclust <neoclust> 5.91.0-1.mga10
+ Revision: 2026423
- New version 5.91.0
- New version 5.90.0
- New version 5.90.0

* Tue Nov 14 2023 neoclust <neoclust> 5.27.80-1.mga10
+ Revision: 2006763
- New version 5.27.80

* Wed Oct 25 2023 daviddavid <daviddavid> 5.27.9-1.mga10
+ Revision: 2001130
- New version 5.27.9

* Wed Sep 20 2023 daviddavid <daviddavid> 5.27.8-1.mga10
+ Revision: 1988258
- New version 5.27.8

* Fri May 26 2023 neoclust <neoclust> 5.27.5-1.mga9
+ Revision: 1958061
- New version 5.27.5

* Mon Apr 10 2023 neoclust <neoclust> 5.27.4-1.mga9
+ Revision: 1951975
- New version 5.27.4

* Wed Mar 15 2023 neoclust <neoclust> 5.27.3-1.mga9
+ Revision: 1949099
- New version 5.27.3

* Tue Feb 28 2023 neoclust <neoclust> 5.27.2-1.mga9
+ Revision: 1945806
- New version 5.27.2

* Wed Feb 22 2023 daviddavid <daviddavid> 5.27.1-1.mga9
+ Revision: 1944818
- New version 5.27.1

* Tue Feb 14 2023 neoclust <neoclust> 5.27.0-1.mga9
+ Revision: 1942085
- New version 5.27.0

* Tue Jan 24 2023 neoclust <neoclust> 5.26.90-1.mga9
+ Revision: 1935890
- New version 5.26.90

* Thu Jan 05 2023 daviddavid <daviddavid> 5.26.5-1.mga9
+ Revision: 1930082
- New version 5.26.5

* Thu Dec 15 2022 daviddavid <daviddavid> 5.26.4-2.mga9
+ Revision: 1923351
- add missing runtime dependency on kirigami-addons

* Thu Dec 15 2022 neoclust <neoclust> 5.26.4-1.mga9
+ Revision: 1923134
- New version 5.26.4

* Mon Nov 21 2022 neoclust <neoclust> 5.26.3-2.mga9
+ Revision: 1909697
- Rebuild because of a missing package

* Thu Nov 17 2022 neoclust <neoclust> 5.26.3-1.mga9
+ Revision: 1908561
- New version 5.26.3
- New version 5.26.2
- New version 5.25.90
- New version5.25.4

* Fri Jul 29 2022 neoclust <neoclust> 5.25.3-1.mga9
+ Revision: 1872793
- New version 5.25.3

* Tue May 24 2022 neoclust <neoclust> 5.24.5-1.mga9
+ Revision: 1859979
- New version 5.24.5

* Mon Apr 18 2022 neoclust <neoclust> 5.24.4-1.mga9
+ Revision: 1851174
- imported package plasma-mobile

